/**
 * \file rastdisp.h <mi32/rastdisp.h>
 * \brief RASTDISPMODE definitions
 *
 * \if NODOC
 * $Id: rastdisp.h_v 1.2 2003/09/15 13:49:56 fileserver!dwilliss Exp $
 *
 * $Log: rastdisp.h_v $
 * Revision 1.2  2003/09/15 13:49:56  fileserver!dwilliss
 * Doxygen
 *
 * Revision 1.1  1999/04/28 21:30:13  mju
 * Initial revision
 *
 * \endif
**/

#ifndef	INC_MI32_RASTDISP_H
#define	INC_MI32_RASTDISP_H

/*----------------------------------------------------------------------------*/
/*		Raster "display" modes used by many library functions							*/
/*----------------------------------------------------------------------------*/

#define	RASTDISPMODE_Single			0	//!< Single raster
#define	RASTDISPMODE_MultiCI			2	//!< Color / Intensity
#define	RASTDISPMODE_MultiRGB		3	//!< Red / Green / Blue
#define	RASTDISPMODE_MultiHIS		4	//!< Hue / Intensity / Saturation
#define	RASTDISPMODE_MultiHBS		5	//!< Hye / Brightness / Saturation
#define	RASTDISPMODE_MultiRGBI		6	//!< Red / Green / Blue / Intensity
#define	RASTDISPMODE_MultiRGBB		7	//!< Red / Green / Blue / Brightness
#define	RASTDISPMODE_MultiHSV		8	//!< Munselll Hue / Saturation / Value
#define	RASTDISPMODE_MultiCMY		9	//!< Cyan / Magenta / Yellow
#define	RASTDISPMODE_MultiCMYK		10	//!< Cyan / Magenta / Yellow / Black
#define	RASTDISPMODE_Hyperspectral	11	//!< Hyperspectral image


#endif	//!<  INC_MI32_RASTDISP_H 
