/**
 *
 * $Id: List.h,v 1.2 2000/09/23 14:51:40 amai Exp $
 *
 * Copyright (C) 1995 Free Software Foundation, Inc.
 * Copyright (C) 1995-2000 LessTif Development Team
 *
 * This file is part of the GNU LessTif Library.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 **/

#ifndef _XM_LIST_H
#define _XM_LIST_H

#include <Xm/Xm.h>

#ifdef __cplusplus
extern "C" {
#endif

XMLIBEXPORT WidgetClass xmListWidgetClass;

typedef struct _XmListRec *XmListWidget;
typedef struct _XmListClassRec *XmListWidgetClass;

#ifndef XmIsList
#define XmIsList(w) XtIsSubclass((w), xmListWidgetClass)
#endif

/* selection type values */ 

enum {
    XmINITIAL,
    XmMODIFICATION,
    XmADDITION 
};

XMLIBEXPORT Widget XmCreateList(Widget parent,
			   char *name,
			   Arg *arglist,
			   Cardinal argCount);
XMLIBEXPORT Widget XmCreateScrolledList(Widget parent,
				   char *name,
				   Arg *arglist,
				   Cardinal argCount);
XMLIBEXPORT void XmListAddItem(Widget widget,
			  XmString item,
			  int position);
XMLIBEXPORT void XmListAddItems(Widget widget,
			   XmString *items,
			   int item_count,
			   int position);
XMLIBEXPORT void XmListAddItemUnselected(Widget widget,
				    XmString item,
				    int position);
XMLIBEXPORT void XmListAddItemsUnselected(Widget widget,
				     XmString *items,
				     int item_count,
				     int position);
XMLIBEXPORT void XmListDeleteAllItems(Widget widget);
XMLIBEXPORT void XmListDeleteItem(Widget widget,
			     XmString item);
XMLIBEXPORT void XmListDeleteItems(Widget widget,
			      XmString *items,
			      int item_count);
XMLIBEXPORT void XmListDeleteItemsPos(Widget widget,
				 int item_count,
				 int position);
XMLIBEXPORT void XmListDeletePos(Widget widget,
			    int position);
XMLIBEXPORT void XmListDeletePositions(Widget widget,
				  int *position_list,
				  int position_count);
XMLIBEXPORT void XmListDeselectAllItems(Widget widget);
XMLIBEXPORT void XmListDeselectItem(Widget widget,
			       XmString item);
XMLIBEXPORT void XmListDeselectPos(Widget widget,
			      int position);
XMLIBEXPORT int XmListGetKbdItemPos(Widget widget);
XMLIBEXPORT Boolean XmListGetMatchPos(Widget widget,
				 XmString item,
				 int **position_list,
				 int *position_count);
XMLIBEXPORT Boolean XmListGetSelectedPos(Widget widget,
				    int **position_list,
				    int *position_count);
XMLIBEXPORT Boolean XmListItemExists(Widget widget,
				XmString item);
XMLIBEXPORT int XmListItemPos(Widget widget,
			 XmString item);
XMLIBEXPORT Boolean XmListPosSelected(Widget widget,
				 int position);
XMLIBEXPORT Boolean XmListPosToBounds(Widget widget,
				 int position,
				 Position *x,
				 Position *y,
				 Dimension *width,
				 Dimension *height);
XMLIBEXPORT void XmListReplaceItems(Widget widget,
			       XmString *old_items,
			       int item_count,
			       XmString *new_items);
XMLIBEXPORT void XmListReplaceItemsPos(Widget widget,
				  XmString *new_items,
				  int item_count,
				  int position);
XMLIBEXPORT void XmListReplaceItemsPosUnselected(Widget widget,
					    XmString *new_items,
					    int item_count,
					    int position);
XMLIBEXPORT void XmListReplaceItemsUnselected(Widget widget,
					 XmString *old_items,
					 int item_count,
					 XmString *new_items);
XMLIBEXPORT void XmListReplacePositions(Widget widget,
				   int *position_list,
				   XmString *item_list,
				   int item_count);
XMLIBEXPORT void XmListSelectItem(Widget widget,
			     XmString item,
			     Boolean notify);
XMLIBEXPORT void XmListSelectPos(Widget widget,
			    int position,
			    Boolean notify);
XMLIBEXPORT void XmListSetAddMode(Widget widget,
			     Boolean mode);
XMLIBEXPORT void XmListSetBottomItem(Widget widget,
				XmString item);
XMLIBEXPORT void XmListSetBottomPos(Widget widget,
			       int position);
XMLIBEXPORT void XmListSetHorizPos(Widget widget,
			      int position);
XMLIBEXPORT void XmListSetItem(Widget widget,
			  XmString item);
XMLIBEXPORT Boolean XmListSetKbdItemPos(Widget widget,
				   int position);
XMLIBEXPORT void XmListSetPos(Widget widget,
			 int position);
XMLIBEXPORT void XmListUpdateSelectedList(Widget widget);
XMLIBEXPORT int XmListYToPos(Widget widget,
			Position y);


#ifdef __cplusplus
}
#endif

#endif /* _XM_LIST_H */
