/**
*	Sample for Mdisp layer creation from a "fixed" file and object
*
*	Note: This code should compile, but is not designed to be executed by itself
**/

#include <gre/layer.h>
#include <rvc/objitem.h>
#include <mi32/errcodes.h>

// Make layer in specified group.
static ERRVALUE MakeLayer (
	GRE::GROUP *group,
	const char *ascfilename,
	const char *ascobjname
	) {
	FILEPATH filepath(ascfilename);
	MISTRING objname(ascobjname);
	RVC::OBJITEM ObjItem(filepath,objname);

	if (!ObjItem.IsExisting()) return (R_ObjNoExist);
	return (GRE::LAYER::ConstructFromObject(group,ObjItem));
	}


// Function to test layer creation
ERRVALUE Test (
	GRE::GROUP *group
	) {
	return (MakeLayer(group,"c:/data/myfile.rvc","MYOBJECT.RASTER"));
	}
